# jmpr - Python tooling to enable and manage AWS account navigation
# Copyright (C) 2019  eGlobalTech

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

import setuptools

requirements = ['boto3', 'pyyaml']

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
      name='jmpr',
      version='0.2.1',
      author='eGT Labs',
      author_email='egtlabs@eglobaltech.com',
      description='Tooling to permit AWS account navigation',
      long_description=long_description,
      long_description_content_type='text/markdown',
      url='https://github.com/eGT-Labs/jmpr',
      license='GPL-3.0-only',
      packages=['jmpr'],
      entry_points = {
            'console_scripts': ['jmpr=jmpr.cli:main'],
      },
      install_requires=requirements,
      classifiers=[
        "Programming Language :: Python :: 3",
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Natural Language :: English",
        "License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
        "Operating System :: OS Independent",
        "Topic :: Utilities"
    ],
)